Bug 416902 - Investment reports should ignore setting for "Show equity accounts"
Summary: Investment reports should ignore setting for "Show equity accounts"
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: reports (show other bugs)
Version: git (master)
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-29 10:39 UTC by Ian Neal
Modified: 2020-06-05 04:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Neal 2020-01-29 10:39:35 UTC
SUMMARY
Investment reports cannot have their equity list changed if "Show equity accounts" is not enabled in kmymoney settings

STEPS TO REPRODUCE
1. Set up some investment accounts with various equities
2. Uncheck "Show equity accounts" in kmymoney settings
3. Try to change the list of equities selected in one of the investment reports

OBSERVED RESULT
Equities are not shown

EXPECTED RESULT
Even if the user doesn't want equity accounts shown in other places, they will do in investment reports. (This is similar to the issue of showing closed accounts in reporting which has been previously fixed).

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Fedora 30
(available in About System)
KDE Plasma Version: 5.14.5
KDE Frameworks Version: 5.59.0
Qt Version: 5.11.3

ADDITIONAL INFORMATION
Workaround is to enable "Show equity accounts" each time you want to alter a report and then disable it after.
Comment 1 Thomas Baumgart 2020-02-09 19:39:15 UTC
Git commit da137a230e528c7ef7e31687fd5b58ab82cbac39 by Thomas Baumgart.
Committed on 09/02/2020 at 19:38.
Pushed by tbaumgart into branch '5.0'.

Allow to select investments for investment reports

The selection of investments as sub-accounts of investment accounts was
only possible if the expert mode was selected. This change will provide
access to the selection in report configuration for all investment
reports.
FIXED-IN: 5.0.9

M  +2    -2    kmymoney/plugins/views/reports/kreportconfigurationfilterdlg.cpp
M  +14   -7    kmymoney/widgets/kmymoneyaccountselector.cpp
M  +1    -0    kmymoney/widgets/kmymoneyaccountselector.h
M  +2    -2    kmymoney/widgets/ktransactionfilter.cpp
M  +1    -1    kmymoney/widgets/ktransactionfilter.h
M  +4    -3    kmymoney/widgets/ktransactionfilter_p.h

https://commits.kde.org/kmymoney/da137a230e528c7ef7e31687fd5b58ab82cbac39
Comment 2 Thomas Baumgart 2020-02-09 19:42:52 UTC
Git commit ab31752ddd5fa97cbba5c1756cabbf8daf45c049 by Thomas Baumgart.
Committed on 09/02/2020 at 19:42.
Pushed by tbaumgart into branch 'master'.

Allow to select investments for investment reports

The selection of investments as sub-accounts of investment accounts was
only possible if the expert mode was selected. This change will provide
access to the selection in report configuration for all investment
reports.
FIXED-IN: 5.0.9
(cherry picked from commit da137a230e528c7ef7e31687fd5b58ab82cbac39)

M  +2    -2    kmymoney/plugins/views/reports/kreportconfigurationfilterdlg.cpp
M  +14   -7    kmymoney/widgets/kmymoneyaccountselector.cpp
M  +1    -0    kmymoney/widgets/kmymoneyaccountselector.h
M  +2    -2    kmymoney/widgets/ktransactionfilter.cpp
M  +1    -1    kmymoney/widgets/ktransactionfilter.h
M  +4    -3    kmymoney/widgets/ktransactionfilter_p.h

https://commits.kde.org/kmymoney/ab31752ddd5fa97cbba5c1756cabbf8daf45c049